Ubuntu

unattended-upgrades doesn't upgrade all related packages

Reported by Michael on 2009-03-02
12
This bug affects 1 person
Affects Status Importance Assigned to Milestone
unattended-upgrades (Ubuntu)
High
Michael Vogt

Bug Description

Binary package hint: unattended-upgrades

Ubuntu Version: 8.04.2 LTS
unattended-upgrades: 0.30ubuntu1
related packages: ntp and snmpd

Small problem description: when using unattended-upgrades, the log file reports that some packages could not be upgraded automatically due to configuration file prompt, while manual upgrades don't mention them.

/var/log/unattended-upgrades/unattended-upgrades.log:
2009-03-02 04:15:14,422 WARNING pkg 'ntp' has conffile prompt and needs to be upgraded manually
2009-03-02 04:15:14,472 WARNING pkg 'snmpd' has conffile prompt and needs to be upgraded manually
2009-03-02 04:15:14,844 INFO package 'snmpd' not upgraded
2009-03-02 04:15:15,200 INFO package 'ntp' not upgraded

Ok, that message is understandable. However, when performing a manual upgrade, no mentioning of a (changed) configuration file at all..

root@host:/var/log/unattended-upgrades# apt-get upgrade ntp
Reading package lists... Done
Building dependency tree
Reading state information... Done

<snip>

(Reading database ... 25054 files and directories currently installed.)

<snip>

Preparing to replace ntp 1:4.2.4p4+dfsg-3ubuntu2 (using .../ntp_1%3a4.2.4p4+dfsg-3ubuntu2.1_amd64.deb) ...
 * Stopping NTP server ntpd [ OK ]
Unpacking replacement ntp ...
Preparing to replace snmpd 5.4.1~dfsg-4ubuntu4 (using .../snmpd_5.4.1~dfsg-4ubuntu4.2_amd64.deb) ...
Stopping network management services: snmpd snmptrapd.
Unpacking replacement snmpd ...

Setting up ntp (1:4.2.4p4+dfsg-3ubuntu2.1) ...
 * Starting NTP server ntpd [ OK ]

Setting up snmpd (5.4.1~dfsg-4ubuntu4.2) ...
Starting network management services: snmpd.

Any reason why this happens?

Regards,

Michael

dominik (dominik-holler) wrote :

some problem:

2009-03-17 06:34:27,045 INFO Initial blacklisted packages:
2009-03-17 06:34:27,045 INFO Starting unattended upgrades script
2009-03-17 06:34:27,045 INFO Allowed origins are: ["['Ubuntu', 'hardy-security']", "['Ubuntu', 'hardy-updates']"]
2009-03-17 06:34:29,166 WARNING pkg 'apache2.2-common' has conffile prompt and needs to be upgraded manually
2009-03-17 06:34:29,573 INFO package 'apache2-mpm-prefork' not upgraded
2009-03-17 06:34:30,036 INFO package 'apache2.2-common' not upgraded
2009-03-17 06:34:30,450 INFO package 'apache2' not upgraded
2009-03-17 06:34:30,721 INFO No packages found that can be upgraded unattended

webadmin@www:~$ sudo aptitude safe-upgrade
[sudo] password for webadmin:
Reading package lists... Done
Building dependency tree
Reading state information... Done
Reading extended state information
Initializing package states... Done
Building tag database... Done
The following packages will be upgraded:
  apache2 apache2-mpm-prefork apache2.2-common
3 packages upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
Need to get 0B/1030kB of archives. After unpacking 4096B will be used.
Do you want to continue? [Y/n/?]
(Reading database ... 20055 files and directories currently installed.)
Preparing to replace apache2-mpm-prefork 2.2.8-1ubuntu0.3 (using .../apache2-mpm-prefork_2.2.8-1ubuntu0.5_i386.deb) ...
 * Stopping web server apache2 [ OK ]
Unpacking replacement apache2-mpm-prefork ...
Preparing to replace apache2.2-common 2.2.8-1ubuntu0.3 (using .../apache2.2-common_2.2.8-1ubuntu0.5_i386.deb) ...
Unpacking replacement apache2.2-common ...
Preparing to replace apache2 2.2.8-1ubuntu0.3 (using .../apache2_2.2.8-1ubuntu0.5_all.deb) ...
Unpacking replacement apache2 ...
Setting up apache2.2-common (2.2.8-1ubuntu0.5) ...

Setting up apache2-mpm-prefork (2.2.8-1ubuntu0.5) ...
 * Starting web server apache2 [ OK ]

Setting up apache2 (2.2.8-1ubuntu0.5) ...
Reading package lists... Done
Building dependency tree
Reading state information... Done
Reading extended state information
Initializing package states... Done
Building tag database... Done

dominik (dominik-holler) wrote :

Maybe unattended-upgrades checks if the configfiles are modified, if a file is modified, the relevant package is not updated.

Looks like apt-get/aptitude s default behaviour is on other. Maybe explicitly setting DPkg::Options to "--force-confold" or "--force-confnew" reults to a consistent behaviour .

Michael Vogt (mvo) wrote :

If you experience this behavior, I would be really interessted in the output of "unattended-upgrades --debug"

Changed in unattended-upgrades (Ubuntu):
status: New → Incomplete
dominik (dominik-holler) wrote :

I will do a "unattended-upgrades --debug" if the bug happens next time.

optim (martpolak) wrote :

Here it is ..

2009-10-24 22:10:29,368 INFO Initial blacklisted packages:
2009-10-24 22:10:29,369 INFO Starting unattended upgrades script
2009-10-24 22:10:29,370 INFO Allowed origins are: ["['Ubuntu', 'hardy-security']"]
2009-10-24 22:10:31,968 DEBUG Checking: linux-restricted-modules-common (["component: 'restricted' archive: 'hardy-updates' origin: 'Ubuntu' label: 'Ubuntu' site 'cz.archive.ubuntu.com' isTrusted: 'True'", "component: 'restricted' archive: 'hardy-security' origin: 'Ubuntu' label: 'Ubuntu' site 'security.ubuntu.com' isTrusted: 'True'"])
2009-10-24 22:10:34,733 DEBUG pkgs that look like they should be upgraded: linux-restricted-modules-common
2009-10-24 22:10:34,759 DEBUG <pkgAcquire::ItemIterator object: Status: 2 Complete: 1 Local: 1 IsTrusted: 1 FileSize: 29370 DestFile:'/var/cache/apt/archives/linux-restricted-modules-common_2.6.24.18-25.2_all.deb' DescURI: 'http://cz.archive.ubuntu.com/ubuntu/pool/restricted/l/linux-restricted-modules-2.6.24/linux-restricted-mo
2009-10-24 22:10:34,760 DEBUG check_conffile_prompt('/var/cache/apt/archives/linux-restricted-modules-common_2.6.24.18-25.2_all.deb')
2009-10-24 22:10:34,778 DEBUG found pkg: linux-restricted-modules-common
2009-10-24 22:10:34,779 DEBUG conffile line: /etc/default/linux-restricted-modules-common 0af6aa90e7c74975c78418489545cfce
2009-10-24 22:10:34,817 WARNING pkg 'linux-restricted-modules-common' has conffile prompt and needs to be upgraded manually
2009-10-24 22:10:34,838 DEBUG blacklist: ['linux-restricted-modules-common']
2009-10-24 22:10:36,326 DEBUG Checking (blacklist): linux-restricted-modules-common
2009-10-24 22:10:36,633 INFO package 'linux-restricted-modules-common' not upgraded
2009-10-24 22:10:38,116 DEBUG InstCount=0 DelCount=0 BrokenCout=0
2009-10-24 22:10:38,117 INFO No packages found that can be upgraded unattended

no user interaction needed when doing apt-get upgrade by hand aside from confirming the upgrade

$ sudo apt-get upgrade
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following packages will be upgraded:
  linux-restricted-modules-common
1 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
Need to get 0B/29.4kB of archives.
After this operation, 4096B of additional disk space will be used.
Do you want to continue [Y/n]? y
(Reading database ... 156525 files and directories currently installed.)
Preparing to replace linux-restricted-modules-common 2.6.24.12-16.34 (using .../linux-restricted-modules-common_2.6.24.18-25.2_all.deb) ...
Unpacking replacement linux-restricted-modules-common ...
Setting up linux-restricted-modules-common (2.6.24.18-25.2) ...

Michael Vogt (mvo) on 2010-01-15
Changed in unattended-upgrades (Ubuntu):
status: Incomplete → In Progress
importance: Undecided → High
assignee: nobody → Michael Vogt (mvo)
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package unattended-upgrades - 0.55ubuntu1

---------------
unattended-upgrades (0.55ubuntu1) lucid; urgency=low

  * updated for lucid
  * add new "Unattended-Upgrade::Remove-Unused-Dependencies"
    option that is off by default to allow removal of new unused
    dependencies
  * data/50unattended-upgrades:
    - add example setting for the apt bandwidth limit option
      (closes: #557258)
  * fix bug in conffile prompt check (LP: #336558)
  * lintian fixes
 -- Michael Vogt <email address hidden> Fri, 15 Jan 2010 13:27:53 +0100

Changed in unattended-upgrades (Ubuntu):
status: In Progress → Fix Released
Michael Vogt (mvo) wrote :

I uploaded a backport of the current lucid version to:
https://edge.launchpad.net/~mvo/+archive/unattended-upgrades

I would be interessted in feedback.

dominik (dominik-holler) wrote :

Maybe the bug is just reported in hardy.
Can you provide an backport for hardy?

Michael (michael-boelen) wrote :

Thanks for the update and work.

We use Hardy (8.04 LTS) only, which is also the version for which I reported the issue. If it could be backported to Hardy, I'm happy to test it and apply it later to our machines.

Michael Vogt (mvo) wrote :

The backport in
https://edge.launchpad.net/~mvo/+archive/unattended-upgrades

is for hardy, sorry that this was not clear from my original comment. If you test it, please
let me know how well it works.

Thanks,
 Michael

Mark Renouf (mark-renouf) wrote :

Also happening in karmic (unattended-upgrades 0.52ubuntu1).
Any package with conffiles is not upgraded (incorrectly blacklisted even when none of the conffiles have been modified)

This is farily serious from a system admin perspective where we have custom packages to apply a standard configuration to a large number of systems, but we don't want to wipe customized configuration. Right now none of the updates will apply automatically.

Can I use the hardy backport on karmic? If not, can I get something that I can install on karmic to fix this? I can't wait for official fix to hit karmic-updates.

chud (richud.com) wrote :

this is happening in 12.04 too

Download full text (15.9 KiB)

This bug is not solved, I am running precise and

root@server2:~# unattended-upgrade --debug
Initial blacklisted packages:
Starting unattended upgrades script
Allowed origins are: ['o=Ubuntu,a=precise-security', 'o=Ubuntu,a=precise-updates', 'o=Virtualmin\\, Inc.,a=stable']
Checking: libqt4-dbus (["<Origin component:'main' archive:'precise-updates' origin:'Ubuntu' label:'Ubuntu' site:'mirrors.service.networklayer.com' isTrusted:True>"])
Checking: libqt4-dbus:i386 (["<Origin component:'main' archive:'precise-updates' origin:'Ubuntu' label:'Ubuntu' site:'mirrors.service.networklayer.com' isTrusted:True>"])
Checking: libqt4-declarative:i386 (["<Origin component:'main' archive:'precise-updates' origin:'Ubuntu' label:'Ubuntu' site:'mirrors.service.networklayer.com' isTrusted:True>"])
Checking: libqt4-designer:i386 (["<Origin component:'main' archive:'precise-updates' origin:'Ubuntu' label:'Ubuntu' site:'mirrors.service.networklayer.com' isTrusted:True>"])
Checking: libqt4-network:i386 (["<Origin component:'main' archive:'precise-updates' origin:'Ubuntu' label:'Ubuntu' site:'mirrors.service.networklayer.com' isTrusted:True>"])
Checking: libqt4-opengl:i386 (["<Origin component:'main' archive:'precise-updates' origin:'Ubuntu' label:'Ubuntu' site:'mirrors.service.networklayer.com' isTrusted:True>"])
Checking: libqt4-qt3support:i386 (["<Origin component:'main' archive:'precise-updates' origin:'Ubuntu' label:'Ubuntu' site:'mirrors.service.networklayer.com' isTrusted:True>"])
Checking: libqt4-script:i386 (["<Origin component:'main' archive:'precise-updates' origin:'Ubuntu' label:'Ubuntu' site:'mirrors.service.networklayer.com' isTrusted:True>"])
Checking: libqt4-scripttools:i386 (["<Origin component:'main' archive:'precise-updates' origin:'Ubuntu' label:'Ubuntu' site:'mirrors.service.networklayer.com' isTrusted:True>"])
Checking: libqt4-sql-mysql:i386 (["<Origin component:'main' archive:'precise-updates' origin:'Ubuntu' label:'Ubuntu' site:'mirrors.service.networklayer.com' isTrusted:True>"])
Checking: libqt4-sql:i386 (["<Origin component:'main' archive:'precise-updates' origin:'Ubuntu' label:'Ubuntu' site:'mirrors.service.networklayer.com' isTrusted:True>"])
Checking: libqt4-svg:i386 (["<Origin component:'main' archive:'precise-updates' origin:'Ubuntu' label:'Ubuntu' site:'mirrors.service.networklayer.com' isTrusted:True>"])
Checking: libqt4-test:i386 (["<Origin component:'main' archive:'precise-updates' origin:'Ubuntu' label:'Ubuntu' site:'mirrors.service.networklayer.com' isTrusted:True>"])
Checking: libqt4-xml (["<Origin component:'main' archive:'precise-updates' origin:'Ubuntu' label:'Ubuntu' site:'mirrors.service.networklayer.com' isTrusted:True>"])
Checking: libqt4-xml:i386 (["<Origin component:'main' archive:'precise-updates' origin:'Ubuntu' label:'Ubuntu' site:'mirrors.service.networklayer.com' isTrusted:True>"])
Checking: libqt4-xmlpatterns:i386 (["<Origin component:'main' archive:'precise-updates' origin:'Ubuntu' label:'Ubuntu' site:'mirrors.service.networklayer.com' isTrusted:True>"])
Checking: libqtcore4 (["<Origin component:'main' archive:'precise-updates' origin:'Ubuntu' label:'Ubuntu' site:'mirrors.service.networklayer.com' isTrusted:Tru...

Can someone please reopen this bug?

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers